> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List DigitalOcean API credentials



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/credentials/digitalocean
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/credentials/digitalocean:
    get:
      tags:
        - DigitalOcean Credentials API
      summary: List DigitalOcean API credentials
      operationId: >-
        list_digitalocean_credentials_endpoint_api_v1_credentials_digitalocean_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ListCredentialResponseListItem'
                title: >-
                  Response List Digitalocean Credentials Endpoint Api V1
                  Credentials Digitalocean Get
                type: array
          description: Credentials retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListCredentialResponseListItem:
      properties:
        account_login:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Login
        account_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Type
        available:
          title: Available
          type: boolean
        co_tenant_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Co Tenant Count
        created_at:
          format: date-time
          title: Created At
          type: string
        health:
          anyOf:
            - $ref: '#/components/schemas/CredentialHealthSummary'
            - type: 'null'
        id:
          format: uuid
          title: Id
          type: string
        installation_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Installation Id
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        provider:
          title: Provider
          type: string
        repository_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Repository Count
        repository_selection:
          anyOf:
            - type: string
            - type: 'null'
          title: Repository Selection
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        syncing:
          default: false
          title: Syncing
          type: boolean
        system:
          title: System
          type: boolean
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - provider
        - organisation_id
        - system
        - available
        - created_at
        - updated_at
      title: ListCredentialResponseListItem
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CredentialHealthSummary:
      properties:
        consecutive_failures:
          title: Consecutive Failures
          type: integer
        last_error_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error Class
        next_attempt_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Attempt At
        state:
          enum:
            - healthy
            - refreshing
            - down
            - revoked
          title: State
          type: string
      required:
        - state
        - consecutive_failures
      title: CredentialHealthSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````